html{
    scroll-behavior: smooth;
    width: 100%;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    overflow-x: hidden;
}

body {
    margin: 0;
    padding: 0;
    width: 100vw;
    box-sizing: border-box;
}

header {
    position: sticky;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: #ffffff;
    height: 115px;
    width: 100%;
    border-bottom: 2px solid #e0e0e0;
    padding-left: 20px;
    padding-right: 20px;
    margin: 0;
    padding: 10px;
    box-sizing: border-box;
    align-items: center;
    z-index: 50;
}

.logo {
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 35px;
    margin-left: 10px;
}

header svg {
    width: 103px;
    height: 97px;
}

header h1 {
    margin-left: 10px;
}

header ul {
    list-style-type: none;
    margin: 0;
    padding: 0 80px 0 0;
    display: flex;
    align-items: center;
}

header li {
    margin-left: 20px;
}

header li a {
    text-decoration: none;
    color: #333333;
    font-size: 1.5em;
    transition: 0.5s;
}

header li a:hover {
    color: #4fb061;
    font-weight: bold;
}

main {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

main section {
    position: relative;
    padding: 0;
    margin: 0;
    height: 100vh;
    box-sizing: border-box;
    text-align: center;
    align-content: center;
    z-index: 10;
}

main section h2 {
    font-size: 8rem;
    color: #333333;
    margin-bottom: 10px;
    margin-top: 0;
    text-shadow: #333333 2px 2px 10px;
}

main section p {
    font-size: 2em;
    font-weight: 550;
    text-shadow: #333333 1px 1px 5px;
    line-height: 1.6;
}

#top {
    background-image: url("data/top_image.jpg");
    background-color: rgba(255, 255, 255, 0);
    background-blend-mode: lighten;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#about {
    background-image: url("data/about_image.jpg");
    background-color: rgba(255, 255, 255, 0.6);
    background-blend-mode: lighten;
    background-position: center;
    background-repeat: no-repeat;
}

#contact {
    background-image: url("data/contact_image.jpg");
    background-color: rgba(255, 255, 255, 0.6);
    background-blend-mode: lighten;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#top h2 {
    margin: 0 auto;
    width: fit-content;
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0) 30%, rgba(250, 250, 250, 0.8));
    padding: 10px;
    border-radius: 10px;
}

#about p {
    max-width: 1000px;
    margin: 0 auto;
    padding: 40px 0;
}

#services {
    min-height: max-content;
    display: block;
    justify-content: center;
    align-items: center;
    padding: 80px 25px;
    box-sizing: border-box;
}

#services h2 {
    margin-bottom: 65px;
}

div.service-list {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: center;
    box-sizing: border-box;
    padding: 0 15px;
}

div.service-pair {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    width: fit-content;
    padding: 0;
    margin: 0;
}

div.service {
    box-sizing: border-box;
    padding: 30px;
    width: 400px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

div.service svg {
    width: 200px;
    height: 200px;
    margin-bottom: 10px;
    fill: #4fb061;
    filter: drop-shadow(0px 3px 10px rgba(20, 20, 20, 0.4));
}

div.service h3 {
    font-size: 2em;
    color: #4fb061;
    text-shadow: #7a7a7a 2px 2px 10px;
    margin: 0;
    margin-bottom: 30px;

}

div.service p {
    font-size: 1.3em;
    line-height: 1.4;
    text-align: justify;
    text-align-last: center;
}

#contact h3 {
    font-size: 5em;
    color: #4fb061;
    text-shadow: #7a7a7a 2px 2px 10px;
    margin: 0;
    margin-bottom: 20px;
}

#contact div.text {
    width: 99%;
}

div.boxes {
    box-sizing: border-box;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 100px;
    margin: 0;
    padding: 0;
    margin-top: 40px;
}

div.boxes p {
    font-size: 2em;
    line-height: 1.4;
    text-align: center;
    text-align-last: center;
    margin: auto;
    padding: 10px;
}

div.hours {
    border: 2px solid #4fb061;
    border-radius: 10px;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
}

.quick {
    color: #8b969a;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 800;
    font-style: normal;
}

.click {
    color: #4fb061;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

@media screen  and (max-width: 1400px) {
    header {
        height: 85px;
    }
}

@media screen  and (max-width: 650px) {
    header {
        justify-content: center;
        height: 80px;
    }
    .logo {
        transform: translate(-40px, 0);
    }
    .logo h1 {
        font-size: 30px;
    }
    header svg {
        width: 70px;
        height: 65px;
    }
    header ul {
        display: none;
        padding: 0 20px 0 0;
    }
    main section {
        box-sizing: border-box;
        padding: 35px 0;
        min-height: 85vh;
        height: auto;
    }
    main section h2 {
        font-size: 3rem;
    }
    main section p {
        font-size: 1.5em;
        margin: 15px 0;
    }
    div.service-list {
        padding: 0 15px;
    }
    div.service {
        width: 100%;
        padding: 10px;
    }
    div.service svg {
        width: 150px;
        height: 150px;
    }
    div.service p {
        padding: 3px 0;
        margin: 0;
    }
    #contact h3 {
        font-size: 2.5em;
    }
    #contact p {
        font-size: 1.2em;
        padding: 0 20px;
    }
}
